summaryrefslogtreecommitdiffstats
path: root/qa/workunits/rbd/rbd_mirror_snapshot.sh
diff options
context:
space:
mode:
Diffstat (limited to 'qa/workunits/rbd/rbd_mirror_snapshot.sh')
-rwxr-xr-xqa/workunits/rbd/rbd_mirror_snapshot.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/qa/workunits/rbd/rbd_mirror_snapshot.sh b/qa/workunits/rbd/rbd_mirror_snapshot.sh
index c70d48b09..17164c4d5 100755
--- a/qa/workunits/rbd/rbd_mirror_snapshot.sh
+++ b/qa/workunits/rbd/rbd_mirror_snapshot.sh
@@ -1,4 +1,4 @@
-#!/bin/sh -ex
+#!/usr/bin/env bash
#
# rbd_mirror_snapshot.sh - test rbd-mirror daemon in snapshot-based mirroring mode
#
@@ -7,6 +7,8 @@
# socket, temporary files, and launches rbd-mirror daemon.
#
+set -ex
+
MIRROR_POOL_MODE=image
MIRROR_IMAGE_MODE=snapshot